package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyEconomy;
import com.ruoyi.system.domain.grid.GridCompanyEconomyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyEconomyMapper {
    long countByExample(GridCompanyEconomyExample example);

    int deleteByExample(GridCompanyEconomyExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyEconomy record);

    int insertSelective(GridCompanyEconomy record);

    List<GridCompanyEconomy> selectByExample(GridCompanyEconomyExample example);

    GridCompanyEconomy selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyEconomy record, @Param("example") GridCompanyEconomyExample example);

    int updateByExample(@Param("record") GridCompanyEconomy record, @Param("example") GridCompanyEconomyExample example);

    int updateByPrimaryKeySelective(GridCompanyEconomy record);

    int updateByPrimaryKey(GridCompanyEconomy record);
}
